import { BaseDataDefinition } from "./BaseDataDefinition";
import { XDataType } from "../XDataType";
import { ValidationIssue } from "../../IDesignValidationProvider";
export declare class DateDataDefinition extends BaseDataDefinition<Date> {
    readonly type: XDataType;
    lowerBounds?: Date;
    upperBounds?: Date;
    storeTime: boolean;
    getStorageData(): object;
    setStorageData(data: object): void;
    verifyValueType(value: any): ValidationIssue | undefined;
    isDate(v: any): boolean;
    convert(value: any): any;
    parseDate(value: any): Date | undefined;
}
